module ToCTMC where

import ToPA
import MLPPE
import LPPE
import ToAUT
import Debug.Trace

getCTMC :: MSpecification -> OutputString
getCTMC spec = OutputString (show statespaceNew) --("des (0, " ++ show (length transitions + length transitions2) ++ ", " ++ show (length states + length transitions) ++ ")\n" ++ (printTransitionsProb cadp transitions (length states)))
    where
     (statespace, initial, visited) = getStateSpace False (encode spec) [] False False
     states                         = fst statespace
     transitions                    = snd statespace
     transitions2                   = createTransitionsNonProb transitions
     statespaceNew                  = makeStatespaceCTMC statespace

makeStatespaceCTMC :: StatespaceInts -> StatespaceInts
makeStatespaceCTMC (states, transitions) = (states, transitions)
